# Class CIM_VLANEndpointCapabilities
extends CIM_Capabilities

Capabilities supported by the VLAN endpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_VLANEndpointCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Capabilities supported by the VLAN endpoint.
UMLPackagePath | string | CIM::Network::VLAN
Version | string | 2.21.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Dot1qAcceptableVLANFramesTypes | uint16 |
Description | string | Describes the type of frames that are accepted by the port.
MappingStrings | string | MIB.IETF|P-BRIDGE-MIB.dot1dPortCapabilities
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Accept All, Admit VLAN Tagged Only, Not Applicable
Dot1qIngressFiltering | boolean |
Description | string | Supports the discarding of any frame received on a ProtocolEndpoint whose VLAN classification does not include that ProtocolEndpoint in its Member set.
MappingStrings | string | MIB.IETF|P-BRIDGE-MIB.dot1dPortCapabilities
Dot1QTagging | boolean |
Description | string | Indicates support for dot1Q tagging and GVRP.
MappingStrings | string | MIB.IETF|P-BRIDGE-MIB.dot1dPortCapabilities
SupportsTrunkEncapsulationNegotiation | boolean |
Description | string | This property indicates whether or not the protocol endpoint supports negotiation of the trunk encapsulation.
ModelCorrespondence | string | CIM_VLANEndpoint.DesiredEndpointMode

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods